### Method

# Json Node get_value

#### Declaration [src]

    void
    json_node_get_value (
      JsonNode* node,
      GValue* value
    )

#### Description [src]

Retrieves a value from a node and copies into `value`.

When done using it, call `g_value_unset()` on the `GValue` to free the associated resources.

It is a programmer error to call this on a node which doesn’t hold a scalar value. Use `JSON_NODE_HOLDS_VALUE` first.

#### Parameters

`value`

  Type: `GValue`

  Return location for an uninitialized value.

  The argument will be set by the function.
  The returned data is owned by the instance.